Ubuntu

[regression] need to whitelist multiple ATI cards, or remove blacklisting

Reported by Sergio Zanchetta on 2008-03-12
266
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
High
Travis Watkins
Nominated for Hardy by frgh

Bug Description

I have an ATI radeon IGP 340M (Chip ID 1002:4337) that works really nice with the open source "ati" driver and compiz ALWAYS worked very well since Feisty.

According to a problem on some ati cards as reported in Bug #197135, open source "ati" driver is going to be blacklisted for compiz in Hardy (on laptops).

My card is not supported by fglrx (5 years old card) so I won't be able to use compiz by default in Hardy.

To sum up, this card need to be whitelisted in order to use compiz by default in Hardy, as it always did before.

lspci -vn attached.

[WORK-AROUND]
Add "SKIP_CHECKS=yes" to either /etc/xdg/compiz/compiz-manager or ~/.config/compiz/compiz-manager

[Summary of what's already been reported -- please update if your ati works]
1002:3154
1002:4336 Paul Roberts/shemgp: Radeon Mobility U1
1002:4337 Jarvis/Sergio Zanchetta: Radeon IGP 330M/340M/350M
1002:4c57 Chad Bernier/others: M7 LW [Radeon Mobility 7500]
1002:4c66 Thomas Wolfe: Mobility 9000 (M9) Lf (AGP)
                   Aaron Bentley: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)
                   Timo Jyrinki: Radeon RV25 [Radeon Mobility 9000]
1002:4e50 Miguel Martinez/others: RV350 [Mobility Radeon 9600 M10]
                   Tomas Nilsson: M7 LW [Radeon Mobility 7500]
                   Matti Airas: Mobility Radeon 9600
1002:4e56 fuoco: M11 NV [FireGL Mobility T2e]
1002:5460 Vladimir Dobriakov
1002:5653 Tormod Volden: ATI Mobility Radeon X700 (M26) (PCIE)
1002:5835 dienarr: RS300M AGP [Radeon Mobility 9100IGP]

Sergio Zanchetta (primes2h) wrote :
description: updated
Changed in compiz:
importance: Undecided → Medium
status: New → Triaged

I join this. I was very surprised by the decision to blacklist radeon/ati - it works for me since a very long time.
I have a radeon 9550 in an iBook G4. relevant lspci part: (from lspci -nn)

0000:00:10.0 VGA compatible controller [0300]: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56] (rev 80)

Thomas Wolfe (tomwolfe) wrote :

Same here
Chipset: "ATI Radeon Mobility 9000 (M9) Lf (AGP)" (ChipID = 0x4c66)

attached is my lspci -vn

has worked very well for the past few years with compiz.

Chad Bernier (berniercr) wrote :

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] (prog-if 00 [VGA controller])

mine works fine most of the time. i won't be applying the patch until i know how to overide it. please let me know. I don't use gnome-panel, i use AWN. I can't launch any programs, not even a terminal without compiz.

Tino Meinen (a-t-meinen) wrote :

Never had problems with my ati mobility radeon on my acer laptop.

my chipset:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] [1002:4e50]

Travis Watkins (amaranth) wrote :

Chad you didn't give the right output, please attach the output of lspci -vn so I have the PCI ID.

dienarr (dasnarr) wrote :

i have a radeon mobility 9100agp in an acer laptop , compiz works nice with the SKIP_CHECKS=yes variable set, so please whitelist it

this is the output of the "lspci -v | grep VGA" command
01:05.0 VGA compatible controller: ATI Technologies Inc RS300M AGP [Radeon Mobility 9100IGP] (prog-if 00 [VGA controller])

amon@amor:~$ lspci -vn | grep VGA
01:05.0 0300: 1002:5835 (prog-if 00 [VGA controller])

Nds (spandolfo) wrote :

Radeon Mobility M7 LW [Radeon Mobility 7500]

01:00.0 0300: 1002:4c57 (prog-if 00 [VGA controller])

Work well, some trouble with Xv / x11 video output with all player

Horza (horza.gobuchul) wrote :

Same here, my Radeon works fine

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

Adding my mobility radeon 9000, feels insane to blacklist whole ati/radeon driver on laptops since most cards really work perfectly well. It'd be far more easier to blacklist the most problematic parts (probably one/two IGP:s with known 3D problems in general and the mobility radeon X??? model that has reports on instability).

So, please whitelist or remove blacklisting of: 1002:4c66 (Radeon RV250)

Miguel Martinez (el-quark) wrote :

Mobility Radeon 9600 M10 (Pro Turbo w/ 128Mb RAM variant) in a Dell Inspiron 8600c

$ lspci -vnn | grep ATI
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] [1002:4e50] (prog-if 00 [VGA controller])

It's not the fastest but it certainly works. I'd say it even works better with radeon than fglrx (sadly not a big feat, though).

I got hit by this with updates today, suddenly compiz which had been working fine refused to start because I was using the same driver I had been using all along. What was even more annoying was that after locating the blacklist mention in the changelog, there was no mention anywhere of how to override this behavior, so at the very least I think mention of ATI and use of SKIP_CHECKS needs to be made in the manpage for compiz.real, and in the output of compiz when it refuses to start due to the ati driver being detected.

BTW - my working card is the same as Miguel Martinez card above.

Tomas Nilsson (razmakati) wrote :

Following card has always worked with Compiz

Radeon Mobility M7 LW [Radeon Mobility 7500]

attatched is my lspci -vn

Tim Jones (tim-mr-dog) wrote :

Another one for white-listing Radeon Mobility M7 LW [Radeon Mobility 7500]:

01:00.0 0300: 1002:4c57 (prog-if 00 [VGA controller])
        Subsystem: 1014:0530
        Flags: bus master, stepping, fast Back2Back, 66MHz, medium devsel, latency 66, IRQ 5
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 3000 [size=256]
        Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c0120000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

:)

Chad Bernier (berniercr) wrote :

well a lot of people have said it, but ok.

Sergio Zanchetta (primes2h) wrote :

@Travis

I think all this thing can be separated in two (to make it simple):

1) Cards supported by proprietary driver (which can use it for having compiz)

2) Cards not supported by proprietary drivers because they are older (which need "ati" open source driver to work with compiz, no other way)

In this whitelist it should be inserted cards mentioned in 2), because newer cards can use proprietary driver (which is more stable with compiz I think).

Here is a useful list of supported and unsupported card by fglrx
http://www.mepis.org/docs/en/index.php/ATI_supported_cards

Sergio Zanchetta (primes2h) wrote :

@ Travis

I forgot.

People in the middle (having cards supported only by fglrx version 8.41 and previous (so no AIGLX)) can use xserver-xgl for compiz.
These cards are reported in the above link as well.

Travis Watkins (amaranth) wrote :

That doesn't help, it doesn't have pciids.

Ok, but you can use it for filtering which pci ids reported in this Bug work
with "ati" driver only.

2008/3/14, Travis Watkins <email address hidden>:
>
> That doesn't help, it doesn't have pciids.
>
>
> --
> Need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sergio Zanchetta (primes2h) wrote :

Have a look here... (for older card I'm quite sure it is complete)

http://www.calel.org/pci-devices/xorg-device-list.html

2008/3/14, Sergio Zanchetta <email address hidden>:
>
> Ok, but you can use it for filtering which pci ids reported in this Bug
> work with "ati" driver only.
>
> 2008/3/14, Travis Watkins <email address hidden>:
> >
> > That doesn't help, it doesn't have pciids.
> >
> >
> > --
> > Need to whitelist multiple ATI cards, or remove blacklisting
> > https://bugs.launchpad.net/bugs/201330
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>

@Sergio: Ubuntu does not recommend using closed source drivers, so fglrx should never be the default option, or something that is used to provide 3D desktop when the open source driver would also work.
That said, fglrx also has very poor reputation regarding stability, functionality (eg. compiz) or being able to support suspend/hibernation. Since it's closed source, it cannot be fixed either.

I vote that they unblacklist the working ones first. that's top priority.
after that people can worry about trying to fix the drivers, but that is a
big project.

On Fri, Mar 14, 2008 at 5:39 PM, Timo Jyrinki <email address hidden> wrote:

> @Sergio: Ubuntu does not recommend using closed source drivers, so fglrx
> should never be the default option, or something that is used to provide 3D
> desktop when the open source driver would also work.
> That said, fglrx also has very poor reputation regarding stability,
> functionality (eg. compiz) or being able to support suspend/hibernation.
> Since it's closed source, it cannot be fixed either.
>
> --
> Need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hello,
My ATI card had been blacklisted the 13th March 2008 whereas I have no problem with compiz.

Gadget Boy (gadgetboy99) wrote :

Ok, I understand now why Compiz wasn't working anymore on my PC. I have a ATI Radeon 9600. Compiz worked really well with it and the "ati" driver...

Paul Roberts (paul-pwroberts) wrote :

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility U1 [1002:4336]

Radeon IGP 320M on an hp compaq nx9005 from 2003. Worked fine with compiz on full in gutsy. Please add to whitelist.

Matti Airas (mairas) wrote :

IBM Thinkpad T42 with ATI Mobility Radeon 9600 (IIRC). Works perfectly with the open source driver, and fglrx breaks suspending. Please fix!

Denis Lemire (dlemire) wrote :

My laptop with an ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] also has always worked great with compiz and continues to work once I disable this new blacklist.

edu jose (pepinmore) wrote :

I have a desktop, not a laptop, with an ATI Radeon 9600 XT Mobility (card bought separately, it was cheap).

Please whitelist it, worked ok with Compiz in Gutsy (and PC is not a laptop).

Now after removing Gutsy and installing Hardy beta it still uses free radeon driver with "Normal" effects (Compiz works ok, it's what came after the install). But Hardy tries to install the fglrx driver when I click "Extra" effects. Ugh. No need to do that, free driver works ok for this card. So now I have no extra effects.

Anyway, thanks for your efforts, they are really appreciated no matter what comes out of this.

lspci -vnn attached:

02:00.0 VGA compatible controller [0300]: ATI Technologies Inc M10 NQ [Radeon Mobility 9600] [1002:4e51] (prog-if 00 [VGA controller])

02:00.1 Display controller [0380]: ATI Technologies Inc M10 NQ [Radeon Mobility 9600] (Secondary) [1002:4e71]

Note: card has 3 outputs: VGA, DVI and TV-out. VGA and DVI are detected separately in lspci -vnn (VGA is primary, DVI is secondary). TV-out seems not detected, no problem, I don't need it.

how do you get a mobility card installed into a desktop? aren't they
different sizes and connectors?

On Mon, Mar 24, 2008 at 5:34 PM, Eduardo Jose Moreira <email address hidden>
wrote:

> I have a desktop, not a laptop, with an ATI Radeon 9600 XT Mobility
> (card bought separately, it was cheap).
>
> Please whitelist it, worked ok with Compiz in Gutsy (and PC is not a
> laptop).
>
> Now after removing Gutsy and installing Hardy beta it still uses free
> radeon driver with "Normal" effects (Compiz works ok, it's what came
> after the install). But Hardy tries to install the fglrx driver when I
> click "Extra" effects. Ugh. No need to do that, free driver works ok for
> this card. So now I have no extra effects.
>
> Anyway, thanks for your efforts, they are really appreciated no matter
> what comes out of this.
>
> lspci -vnn attached:
>
> 02:00.0 VGA compatible controller [0300]: ATI Technologies Inc M10 NQ
> [Radeon Mobility 9600] [1002:4e51] (prog-if 00 [VGA controller])
>
> 02:00.1 Display controller [0380]: ATI Technologies Inc M10 NQ [Radeon
> Mobility 9600] (Secondary) [1002:4e71]
>
> Note: card has 3 outputs: VGA, DVI and TV-out. VGA and DVI are detected
> separately in lspci -vnn (VGA is primary, DVI is secondary). TV-out
> seems not detected, no problem, I don't need it.
>
> ** Attachment added: "lspci-vnn.txt"
> http://launchpadlibrarian.net/12846235/lspci-vnn.txt
>
> --
> Need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Your problem is with jockey, not the change I made to compiz.

shemgp (shemgp) wrote :

Please unblacklist this too

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility U1 [1002:4336] (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Pavilion ze4400 builtin Video [103c:0024]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B+
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 9000 [size=256]
        Region 2: Memory at e0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at e0120000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
                Command: RQ=16 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

edu jose (pepinmore) wrote :

Sorry for delay in answer, using "just-cheap-from-18h-to-8h" Internet connection at home.

Chad: Don't know for sure.

The graphics card seems to be detected by the X server as a mobility one, though when I bought the card there was no "Mobility" label anywhere in the box (it's a plain AGP card with the usual VGA, DVI and TV-out connectors). Command lspci -vnn shows the "Mobility" tag too. Maybe they associate the 9xxx chip series with mobility for some reason, or the PCI address range used by the card, or that it's AGP, or a mix of those.

Travis: Damn jockey thing!! (just joking :-) ).

I thought the card was being blacklisted because of the chip and PCI address, and also because the "Mobility" string was detected (so the PC was mistaken as a laptop).

So if the urge of installing the blob driver is from jockey, what do I do? Should I fill a bug asking that jockey does not do that for the card as it works ok with the free driver? (First I will search for similar bugs, if I find it already filled I'll add a comment on it).

Bryce Harrington (bryce) wrote :

Eduardo, the way the blacklist is implemented, it first checks if the system is a laptop. So there is no way this bug can apply for desktop systems, so your issue is unrelated.

description: updated
description: updated
Aaron Bentley (abentley) on 2008-03-26
description: updated
Matthias Klose (doko) wrote :

$ lspci -vn |grep VGA
01:00.0 0300: 1002:4e54 (rev 80) (prog-if 00 [VGA controller])
$ lspci -v |grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc M10 NT [FireGL Mobility T2] (rev 80) (prog-if 00 [VGA controller])

works ok, the fglrx driver crashes / locks the kernel

maybe it could documented how you test/enable that yourself: Add SKIP_CHECKS=yes in /etc/xdg/compiz/compiz-manager

dh (dcharvey) wrote :

Worked fine before the blacklist on my Thinkpad T43p:

davidharvey@davslaptop-hardy:~$ lspci -vn | grep VGA
01:00.0 0300: 1002:3154 (rev 80) (prog-if 00 [VGA controller])
davidharvey@davslaptop-hardy:~$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc M24GL [Mobility FireGL V3200] (rev 80)

Perpetual (landonab) wrote :

Radeon Mobility 9200, Dell Latitude D600 laptop. Worked fine out of the box with Gutsy. Added SKIP_CHECK="yes" to /usr/bin/compiz and it works fine.

edu jose (pepinmore) wrote :

Thanks a lot for your explanations. I'll try to fill a bug about jockey.

Now I've found the statement in the compiz wrapper script too: `if laptop-detect; then return 1`.

* meaningful message needed instead of "turning on effects failed"
* the open source radeon driver **works** on my notebook (3d, standby, xrandr, big desktop), the proprietary fglrx is unstable and important features do **not** work(no standby - I mean no wake up, no xrandr, strange (proprietary) way controlling the external output
* everything worked by default in Hardy Alpha6, does not work after upgrade to the Beta
* whitelisting of my card working card would be nice lspci: VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]; on Thinkpad T43
* the real problem is trying to turn the effects in the Preferences > Appearance > Visual Effects installs the proprietary fglrx driver without confirmation! And this (fglrx) crashes frequently.

What is the 'proper' way turning the 3d effects with the radeon driver then?
* put SKIP_CHECKS=yes in ~/.config/compiz/compiz-manager
* hacking the wrapper script?

What is minimal editing needed for xorg.conf?

Jonathon Conte (thesicktwist) wrote :

I have a Thinkpad T41 running Gutsy with compiz enabled. One of the main reasons that I picked this laptop is because of the availabilty of a free (libre) video driver that supports accelerated 3D. Suspend-to-disk and suspend-to-ram both work as well. It would be really great if compiz works with the radeon driver as it does now after I upgrade to Hardy.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
01:00.0 0300: 1002:4c57 (prog-if 00 [VGA])

Addendum - now with pci id:

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]
01:00.0 0300: 1002:5460 (prog-if 00 [VGA controller])

on Thinkpad T43

* radeon works flawlessly
* fglrx crashes regularly

Changed in compiz:
assignee: nobody → andrea-c7a
status: Triaged → Fix Committed
Changed in compiz:
assignee: andrea-c7a → nobody
Changed in compiz:
status: Fix Committed → Triaged
Changed in compiz:
status: Triaged → Fix Committed
Changed in compiz:
status: Fix Committed → In Progress
Kees Cook (kees) on 2008-04-16
Changed in compiz:
assignee: nobody → mvo
importance: Medium → High
milestone: none → ubuntu-8.04
description: updated
Kees Cook (kees) on 2008-04-16
description: updated
Kees Cook (kees) on 2008-04-16
Changed in compiz:
assignee: mvo → amaranth
milestone: ubuntu-8.04 → none
status: In Progress → Won't Fix
description: updated
30 comments hidden view all 110 comments

Why do they need to be blacklisted in the first place? isn't compiz turned
off by default? If people turn it on, and run into problems, they can just
turn it back off. Why is it that difficult? If there are problems with the
liveCD, make an option to boot it with compiz turned off. It ain't that
hard. I remember when i needed special kernel parameters to get it to
recognize my hardware, but I figured it out. It's this thing called google.

On Wed, Apr 16, 2008 at 4:06 PM, Kees Cook <email address hidden> wrote:

> BTW, above comment is based on IRC discussions with Amaranth, who feels
> the blacklist is the correct fix. I still think that blacklisting open
> drivers is a mistake.
>
> --
> [regression] need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Travis Watkins (amaranth) wrote :

Your statements tell me you are not the user this is targeted to as you know how to work around such problems. Compiz is enabled by default and people won't even know what it is that is causing these crashes and lockups. Since you know how to do such things you should be fine with using the SKIP_CHECKS=yes workaround.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Kees Cook wrote:
> BTW, above comment is based on IRC discussions with Amaranth, who feels
> the blacklist is the correct fix. I still think that blacklisting open
> drivers is a mistake.

I agree with you, and find this situation completely infuriating. If
some ATI models are broken, just those models should be blacklisted.

Aaron
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIBmdI0F+nu1YWqI0RAglUAJ9Z06eTv62+kXjPiFkAKaaeuKLxpwCfYL3R
j3baHsUJLjnUi/EscNICegk=
=NMuV
-----END PGP SIGNATURE-----

Bryce Harrington (bryce) wrote :

I understand Travis' justification about making compiz not on by default for ATI due to -ati bugs, although like Kees I also wonder if this is too overly restrictive. Whitelisting seemed like an acceptable compromise though. Can someone explain why this approach has not yet been taken? For example, what specific reasons are there for not taking Andrea's patch in comment #45?

I'd really like to find a solution other than leaving 100% of ati cards blacklisted from compiz, and I'm removing the Won'tFix for now. Even if it is not solved by 8.04.0 (which I think should be the goal), we need a better solution by 8.04.1 at the latest.

If there are specific -ati bugs that are the primary driver for the blacklist, please identify them and I will place my top focus on getting those solved in coming weeks.

Changed in compiz:
status: Won't Fix → In Progress
Forlong (forlong) wrote :

It's not true that "100% of ati cards" are blacklisted from Compiz, only laptops using the open ati driver are affected.

The problem with whitelisting PCI IDs is that it seems to be total random what cards are affected.

After all, it's a bug with the ati-driver, so in my opinion fixing that one should be more important. Can't someone in charge talk to the people at fd.o about this? Sadly there has been zero reaction to http://bugs.freedesktop.org/show_bug.cgi?id=15096 so far, bringing more attention to this problem would be more effective than silently working around it.

Travis Watkins (amaranth) wrote :

As Kees mentioned in comment 69 pci ids are not a reliable method for determining what cards work and what ones don't. Some people with the Mobility 9600 have problems, some don't, same pci id. Same with the X300, X600, and X700 Mobility cards. The only effective way to handle this is the current situation. Well, or fix the bugs causing the problems, bug 195051 seems to be the main one.

Bryce Harrington (bryce) wrote :

Thanks for the added explanation.

I showed 15096 to Alex. Unfortunately that bug lacks details/evidence, which probably explains the lack of response. I'll see what he thinks of 195051; it includes good backtraces and other information that may be helpful.

Bryce Harrington (bryce) wrote :

Okay, I showed bug 195051 to Alex and chatted with him a bit.

A lot of -ati's internals were written prior to having access to register documentation, so there's a lot of educated guesses in -ati that proved to be wrong once the docs were in hand, and lead to random crashes like this, and Alex believes this is the case with this bug. He did not have a workaround to suggest, and confirmed Travis' finding that the issue is not going to be limited to a specific chipset so pci id checks wouldn't be a reliable workaround. He has plans to go through and fix up all these mappings correctly, within the next 3-6 months. Unfortunately that rules out a 8.04.1 fix (and even if it could be achieved in that timeframe, the size of the rework would probably be beyond our bug-risk threshhold.)

Meanwhile, I'll make sure alex remains aware of the bug, and try to improve the reports upstream so it will be fixed for Intrepid. The work can be tracked at bug 195051 here, and at http://bugs.freedesktop.org/show_bug.cgi?id=15096 upstream (unless someone knows of a more appropriate upstream bug?) So, I'm resetting this to WONTFIX.

Changed in compiz:
status: In Progress → Won't Fix
Download full text (5.0 KiB)

oh i thought it wasn't enabled by default. I installed hardy a long time
ago, and have been using ubuntu since dapper beta. I thought you had to go
enable desktop effects. maybe I just had to go form minimal to custom or
something.

How many clueless people really run linux anyways? I know it is getting
easier and easier every year. But bussiness and schools would have a system
administrator to take care of these things. People who buy their computers
with linux pre-installed would be taken care of by the manufacturer. People
who custom build computers from scratch could figure it out too. People who
have their computers fixed by a family member or something would have them
to take care of it. So?

How many people buy a computer with windows, are responsible for maintaining
it themselves, figure out that linux even exists, decides to install it, and
still can't diagnose simple issues? I think that most computer clueless
people don't even know what linux or ubuntu is.

yea i added the skip checks thing, and it's all fixed by now. but the
reason i use ubuntu is because I don't want to mess with my system all the
time. I can figure out how to compile things from source, and all that
jibber jabber. I do sometimes. But I don't want to have to. I shouldn't
have to use such a workaround because some computer illiterate people try to
run linux on bad hardware. I buy computers specifically with linux in mind
and try to only buy linux compatible hardware. that is one of the main
reasons i bought a thinkpad.

I am using a beta version so i can put up with this stuff. I find it a
little bit fun. but I don't like the idea of someone deliberately crippling
my computer. again this isn't about me, but how many people are almost like
me? the people who could fix the issue but don't want to.

I dunno, you guys do what you think is best. I might quit ubuntu when i get
a new computer because it bores me. I like that i can usually get help and
usually find things in debs. I like how it works pretty well most of the
time. But i don't like it when i need something new and have to jump
through all kinds of hoops to get it. i think i want to find something
gentoo based. ubuntu is great for work computers, but no fun for personal
computers. my next computer will be powerful enough to have both. I should
get two new computers. some things only a desktop can do, and other things
only a laptop. both of mine are aging. but there is the issue of low income
and high debt.

sorry for all that. I'm just bored. I know I am not the person this is
aimed at. First of all, it will be aimed at people who don't run alpha/beta
OSs. I always find myself in between the cracks though. its like with cell
phones. use them too much and prepaid is just as expensive as contract.
but you don't use the whole contract. They screw you either way.

you can delete this message if you want. I just don't get any attention
anymore. I ended up with no friends for a whole year and won't be making
any new ones until september probably. I tried being not enrolled in school
for a year. I found the real world to be terrible, am living with parents,
and have no friends because no...

Read more...

description: updated
Changed in compiz:
status: Won't Fix → In Progress
Changed in compiz:
status: In Progress → Won't Fix
Sergio Zanchetta (primes2h) wrote :

Ok, I read all your comments.

Now.
This bug was firstly intended to be fixed for older cards that aren't supported by fglrx or xgl and then they haven't other way to use compiz.

But then people with newer cards start adding pci id telling that ati driver was better that fglrx etc. (but also have freezes with ati driver)

Please report the problem to the origin, whitelist firstly older cards that haven't opened freeze bugs and have always worked nice with compiz.
It is safe to do this.

Then, if in the future you can add other cards (newer) known to work well with compiz or with bug that has been fixed meanwhile, more better.

Joey Chan (ttdlx1989) wrote :

Why not just do a check on the model number?

Seeing as the lockups are caused on hardware R300 and newer, we can at least whitelist R200's, as that driver hasn't changed significantly since it was written under NDA-released specs (exa and xrandr1.3 being the biggest recent ones. i believe modesetting and ttm are on the way)

Meanwhile, R300 is being improved all the time, especially with AMD releasing the specs for it.

Moreover, I puzzled at how this can be called an LTS release if you can't take in an updated video driver that would stabilize the system and move them away from proprietary drivers. I can understand not taking in new code because of instability, but all upstream driver releases to date have been relatively safe drop-ins to the current distribution version (only had one suspend problem). At the very least, it has to make it into backports.

Travis Watkins (amaranth) wrote :

ENOTIME and there having been problems with r200 too.

kb (kobybatito) wrote :

Hey Please Whitelist the follow :
(comes with Evo N610c Compaq Laptop)

Radeon Mobility M7 LW [Radeon Mobility 7500]
which worked like a charm up until now

I also have the Radeon Mobility M7 LW [Radeon Mobility 7500] video card as a part of my Dell Inspiron 5100 which has always worked so long as xorg.conf was setup correctly. If my understanding is correct, Ubuntu is disabling compiz on ATI cards using the OPEN SOURCE driver???? The OPEN SOURCE driver which by the way WORKS, and the PROPRIETARY one doesn't (thanks to some really asinine back room OEM deals ATI made awhile back) and Ubuntu disables **working** video cards using an **open source** driver??

Okay what just happened here, I'm feeling a bit dizzy because this is definitely **NOT** the way I thought things worked...

--bornagainpenguin

PS: If my understanding is incorrect, I apologize now, but really what am I supposed to think when it appears my WORKING video card is being blacklisted because.... wait for it..... it's using an open source driver!

Chad Bernier (berniercr) wrote :

yea, ubuntu's decision to blacklist radeon mobilities and their decision to
not support fake raid 5, has really been causing me to doubt my choice of
ubuntu. I might try something else
.
On Fri, Apr 25, 2008 at 10:13 AM, David Chamberlain <
<email address hidden>> wrote:

> I also have the Radeon Mobility M7 LW [Radeon Mobility 7500] video card
> as a part of my Dell Inspiron 5100 which has always worked so long as
> xorg.conf was setup correctly. If my understanding is correct, Ubuntu
> is disabling compiz on ATI cards using the OPEN SOURCE driver???? The
> OPEN SOURCE driver which by the way WORKS, and the PROPRIETARY one
> doesn't (thanks to some really asinine back room OEM deals ATI made
> awhile back) and Ubuntu disables **working** video cards using an **open
> source** driver??
>
> Okay what just happened here, I'm feeling a bit dizzy because this is
> definitely **NOT** the way I thought things worked...
>
> --bornagainpenguin
>
> PS: If my understanding is incorrect, I apologize now, but really what
> am I supposed to think when it appears my WORKING video card is being
> blacklisted because.... wait for it..... it's using an open source
> driver!
>
> ** Attachment added: "lspci -vn.txt"
> http://launchpadlibrarian.net/13896457/lspci%20-vn.txt
>
> --
> [regression] need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi!

Card: ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE]

This card works fine under Gutsy (i386), compiz works great. I'm running Hardy(amd64), and it doesn't work anymore. I haven't tried modifying the config files. The windows become flickery when I turn on Desktop effects. Firefox is specially bad.

1 comments hidden view all 110 comments

 lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc M9+ 5C61 [Radeon Mobility 9200 (AGP)] (rev 01)

After I added "SKIP_CHECKS=yes" to the compiz config, compiz began to work fine.
so ATI Radeon Mobility 9200 (AGP) should be whitelisted.

pollio (poliopeti) wrote :

Hi All!

So that's why compiz does not work on Hardy, while with Gutsy i had _no_ _problems_ _at_ _all_!!!

I have an ATI Mobility Radeon 9100 IGP (RS300M) on my 5-years-old Acer laptop.

lspci:
01:05.0 VGA compatible controller: ATI Technologies Inc RS300M AGP [Radeon Mobility 9100IGP]

and according to glxinfo, i have direct rendering (using the open source ati driver):

peti@peti-laptop:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, ...

Note that in the last line it has GLX_EXT_texture_from_pixmap, while when I try
~$ compiz.real --replace --indirect-rendering

it says:
compiz.real (core) - Fatal: GLX_EXT_texture_from_pixmap is missing

So is this because of the blacklist? (compiz 0.7.4, packed with Hardy)

Cheers,
Peter

Travis Watkins (amaranth) wrote :

No, that error means something is wrong with your driver and it is not properly supporting GLX_EXT_texture_from_pixmap. It has nothing to do with the blacklist.

pollio (poliopeti) wrote :

Weird, because according to glxinfo I have this extension. Just see above...

Cheers,
Peter

Travis Watkins (amaranth) wrote :

That means the server supports it. You also need the driver to support it and the two to agree on how they support it. Basically, GLX_EXT_texture_from_pixmap should show up 3 times in glxinfo.

Brian Pitts (bpitts) wrote :

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 01) (prog-if 00 [VGA controller])
 Subsystem: Dell Unknown device 011e
 Flags: bus master, VGA palette snoop, stepping, 66MHz, medium devsel, latency 32, IRQ 11
 Memory at e8000000 (32-bit, prefetchable) [size=128M]
 I/O ports at c000 [size=256]
 Memory at fcff0000 (32-bit, non-prefetchable) [size=64K]
 [virtual] Expansion ROM at fc000000 [disabled] [size=128K]
 Capabilities: [58] AGP version 2.0
 Capabilities: [50] Power Management version 2

I had the same issue with an ATI Radeon RV100 QY [Radeon 7000/VE] until I updated. Now it works almost perfect.

This is what I've updated:
capplets-data (1:2.22.1-0ubuntu4) to 1:2.22.1-0ubuntu4.1
gnome-control-center (1:2.22.1-0ubuntu4) to 1:2.22.1-0ubuntu4.1
gnome-system-monitor (2.22.0-1ubuntu3) to 2.22.1-0ubuntu1
jockey-common (0.3.3-0ubuntu7) to 0.3.3-0ubuntu8
jockey-gtk (0.3.3-0ubuntu7) to 0.3.3-0ubuntu8
libgnome-window-settings1 (1:2.22.1-0ubuntu4) to 1:2.22.1-0ubuntu4.1
libnautilus-extension1 (1:2.22.2-0ubuntu4) to 1:2.22.2-0ubuntu5
nautilus (1:2.22.2-0ubuntu4) to 1:2.22.2-0ubuntu5
nautilus-data (1:2.22.2-0ubuntu4) to 1:2.22.2-0ubuntu5
sudo (1.6.9p10-1ubuntu3) to 1.6.9p10-1ubuntu3.1

and
apport (0.108) to 0.108.1
apport-gtk (0.108) to 0.108.1
gtk2-engines-pixbuf (2.12.9-3ubuntu2) to 2.12.9-3ubuntu3
gvfs (0.2.3-0ubuntu4) to 0.2.3-0ubuntu5
gvfs-backends (0.2.3-0ubuntu4) to 0.2.3-0ubuntu5
gvfs-fuse (0.2.3-0ubuntu4) to 0.2.3-0ubuntu5
hal (0.5.11~rc2-1ubuntu7) to 0.5.11~rc2-1ubuntu8
libcamel1.2-11 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libebook1.2-9 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libecal1.2-7 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libedata-book1.2-2 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libedata-cal1.2-6 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libedataserver1.2-9 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libedataserverui1.2-8 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libegroupwise1.2-13 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libexchange-storage1.2-3 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libgdata-google1.2-1 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libgdata1.2-1 (2.22.1-0ubuntu2) to 2.22.1-0ubuntu2.1
libgtk2.0-0 (2.12.9-3ubuntu2) to 2.12.9-3ubuntu3
libgtk2.0-bin (2.12.9-3ubuntu2) to 2.12.9-3ubuntu3
libgtk2.0-common (2.12.9-3ubuntu2) to 2.12.9-3ubuntu3
libgvfscommon0 (0.2.3-0ubuntu4) to 0.2.3-0ubuntu5
libhal-storage1 (0.5.11~rc2-1ubuntu7) to 0.5.11~rc2-1ubuntu8
libhal1 (0.5.11~rc2-1ubuntu7) to 0.5.11~rc2-1ubuntu8
python-apport (0.108) to 0.108.1
python-problem-report (0.108) to 0.108.1

It's still now working as good as on Gutsy, but it's very usable. Great work!!

logari81 (logari81) wrote :

switching from XAA to EXA solved my problems with an ATI Mobility Radeon X700 (RV410 - M26). I don't get any freezes with Compiz enabled any more even if I try to run more 3d Applications simultaneously. I have tested it for about 3 weeks before I post here and I had no freezes at all. For my card the radeon driver works very very nice with EXA and Compiz enabled. I would propose to whitelist this card if there is a possibility to set EXA mod in xorg.conf as default.

Option "AccelMethod" "EXA"

adiaz (andres-diaz-soto) wrote :

Well, same problem with ATI Mobility Radeon 7500. The funny thing is that I've been using it without problems since Edgy. Actually I decided to switch to Ubuntu because it worked without a lot of effort here.

I could easily find the cause and the workaround, compiz is working quite well now, but I thing it can be quite frustrating for an unexperienced user, mostly considering it worked just fine before.

pheeror (pheeror) wrote :

I've noticed the same problem with [Radeon Mobility 7500] [1002:4c57], compiz doesn't work by default but after setting SKIP_CHECKS=yes it works without any hardware specific issues.

That 036_blacklist_ati_on_laptop.patch has introduced a bad regression :-(

It would be also very useful if somebody with the card ATI Radeon Xpress 200M (PCI ID 1002:5955) - which was the reason for the patch in first place - could test with the newest driver and possible with EXA (as kostas suggested).

cheers

Michele Renda (mic-renda) wrote :

In a pc, of a my fiend compiz was impossible to enable.

ATI Technologies Inc RS300M AGP [Radeon Mobility 9100IGP]

After SKIP_CHECKS=yes with ati driver Compiz run perfect.

I think the blacklist must be done with more attention and tests

Tormod Volden (tormodvolden) wrote :

All ati cards on laptops are blocked. Are we gonna make a whitelist for those laptops that work? Please point me to a valid bug report if any, since this bug report is "Won't fix".

description: updated
Timo Jyrinki (timo-jyrinki) wrote :

I think the ATI blacklisting should be removed for intrepid, since intrepid has a lot of ati-related fixes done now that AMD has released documentation.

This bug should probably reopened and targeted to intrepid, since it's valid and only depends on the development of the drivers instead of being "won't fix". Intrepid now has xserver-xorg-video-ati 6.9.0 and Mesa 7.1, which both have huge amount of fixes. There probably will be even newer ati release than 6.9.0 before intrepid.

Oibaf (oibaf) wrote :

It appears that all started with a problem on a Xpress 200 card (bug #197135), an IGP chipset usually found on laptop. The blacklist however is blocking all ati cards on laptops even that ones that are not IGP chips and are very similar to the desktop version (e.g., my RV530 which is available both on desktop and laptop with reduced frequency is working fine in intrepid). Latest xorg and mesa 7.1 ati driver should also have fixed the problems with the Xpress200 (AKA RS480) cards:
http://airlied.livejournal.com/59351.html
there is even a repository with a backported mesa 7.0 to use on 8.04 with these fixes:
https://launchpad.net/~stikonas/+archive

So, I agree to remove the whole blacklist for intrepid and eventually add blacklist on some pci id if some problem will be found.

Oibaf (oibaf) on 2008-08-22
Changed in compiz:
status: Won't Fix → Confirmed
Saivann Carignan (oxmosys) wrote :

I want to add this argument : When blacklisting all cards, we lose knowledge about the real bugs and we don't help fixing them. I have a ATI mobility radeon x300. Do we know if that card works? No. Why? Because it is blacklisted. In reality, this card *had* problems with very initial versions of compiz and ati in ubuntu (feisty?), but since Gutsy, ati drivers and compiz works very well, and it is far more stable than fglrx which is currently the worst graphic driver that I know. Now we're in Hardy and soon intrepid. We're far away from ati and compiz versions shipped in feisty.

I think that massive blacklisting is a short term workaround, but it have a long term negative impact and it is not a valuable solution. I might be wrong about the real quantity of ATI cards which really have problems, but it looks to me that only some specific cards really have problems (like Xpress 200, bug #197135).

Having compiz disabled by default for ATI cards except the special ones which are confirmed to have serious problems would sound correct to me, but not a black list which prevent compiz to be enabled on all ATI cards for people who wants to try it.

Bryce Harrington (bryce) on 2008-08-29
Changed in compiz:
milestone: none → intrepid-alpha-6
status: Confirmed → Triaged
Tormod Volden (tormodvolden) wrote :

Totally agree with Saïvann. The whole white/blacklisting stuff in the compiz wrapper could need an overhaul, but for now it's just urgent to get that ugly ati-on-laptop block away, so that people have a chance to test compiz.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.7.7+git20080807-0ubuntu5

---------------
compiz (1:0.7.7+git20080807-0ubuntu5) intrepid; urgency=low

  * drop debian/patches/036_blacklist_ati_on_laptop.patch
    which was a firefighting hack (LP: #201330)

 -- Tormod Volden <email address hidden> Fri, 29 Aug 2008 14:21:31 +0200

Changed in compiz:
status: Triaged → Fix Released
Saivann Carignan (oxmosys) wrote :

Tormod : Thank you very much for taking that task.

Thank you very much indeed.

2008/8/29 Saïvann Carignan <email address hidden>

> Tormod : Thank you very much for taking that task.
>
> --
> [regression] need to whitelist multiple ATI cards, or remove blacklisting
> https://bugs.launchpad.net/bugs/201330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Travis Watkins (amaranth) wrote :

Where is the bzr branch you made for this change and why haven't you requested to have it merged into the compiz team repo?

Tormod Volden (tormodvolden) wrote :

Here :) https://code.launchpad.net/~tormodvolden/compiz/no-ati-laptop I was just unaware there was a bzr repo for it, the launchpad package page doesn't indicate it either (and I didn't read debian/control well enough).

Tormod Volden (tormodvolden) wrote :

With a fine-tuned blacklisting still needed, I would like to rewrite the blacklisting code in the wrapper script to:
- match DRI driver instead of DDX. Use xdriinfo instead of grepping X logs etc.
- match combinations of driver and card ID
- separate the blacklist in a configuration file, instead of hard-coding it in the script, in a format like:
 <driver> <pci-id> # comment and LP reference
 <driver> * # block all cards if really needed
- maybe combine blacklist and whitelist handling

Travis, Bryce, what do you think? How is the packaging work coordinated with Debian?

Displaying first 40 and last 40 comments. View all 110 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.